#include "symbol.h"
#include "state.h"

using namespace Frost;

const s_str Symbol::TYPE = "Symbol";

s_str Symbol::PrintContent() const
{
    return sname;
}

s_str Symbol::GetType() const
{
    return TYPE;
}

s_str Symbol::GetTrueType() const
{
    return GetType();
}

s_str Symbol::GetFullType() const
{
    return GetType();
}

s_refptr<Symbol> Symbol::Clone() const
{
    return s_refptr<Symbol>(new Symbol(*this));
}

void Symbol::Register(State& mState)
{
    mState.RegisterSymbolType<Symbol>();
}
